<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>
<script>
    ////////////         VEHICLE        //////////////
    class Vehicle {
        constructor(paramBrand, paramYearManual) {
            this.brand = paramBrand;
            this.yearManual = paramYearManual;
        }
        getPrint() {
            return this.brand + " " + this.yearManual;
        }
    }


    ////////////         CAR        //////////////
    class Car extends Vehicle {
        constructor(paramBrand, paramYearManual, paramID, paramModelName) {
            super(paramBrand, paramYearManual)
            this.vId = paramID;
            this.modelName = paramModelName;
        }
        getHonk() {
            return this.brand + " " + this.yearManual + " " + this.vId + " " + this.modelName;
        }
    }


    ////////////         MOTORBIKE        //////////////
    class Motorbike extends Vehicle {
        constructor(paramBrand, paramYearManual, paramID, paramModelName) {
            super(paramBrand, paramYearManual);
            this.vId = paramID;
            this.modelName = paramModelName;
        }
        getHonk() {
            return this.brand + " " + this.yearManual + " " + this.vId + " " + this.modelName;
        }
    }


    ////////////         VEHICLE        //////////////
    let vVehicle = new Vehicle("Honda", 1948);
    console.log("Vehicle: " + vVehicle.getPrint());



    ////////////         CAR        //////////////
    let vCar = new Car("Mazda", "2021", "premium", "CX-5");
    console.log("Car: " + vCar.getHonk());
    console.log(vCar instanceof Vehicle);



    ////////////         MOTORBIKE        //////////////
    let vMotorbike = new Motorbike("Honda", 2019, "150i","SH");
    console.log("Motorbike: " + vMotorbike.getHonk());
    console.log(vMotorbike instanceof Vehicle);
</script>

</html>